## org.eclipse.emf.codegen.ecore.genmodel
Interface GenTypedElement

All Superinterfaces:
  EObject, GenBase, Notifier

All Known Subinterfaces:
  GenFeature, GenOperation, GenParameter

All Known Implementing Classes:
  GenFeatureImpl, GenOperationImpl, GenParameterImpl, GenTypedElementImpl

    public interface GenTypedElement

extends GenBase

A representation of the model object 'Gen Typed Element'.

See Also:
  `GenModelPackage.getGenTypedElement()`

Method Summary
`EModelElement` `getEcoreModelElement()`
`GenJDKLevel` `getEffectiveComplianceLevel()`
`java.lang.String` `getEObjectCast()` This returns either "(EObject)", "(org.eclipse.emf.ecore.EObject)", or "" as needed for the reference type.
`GenClass` `getGenClassType()` Deprecated. As of EMF 2.1, replaced by `getTypeGenClass()`.
`GenDataType` `getGenDataTypeType()` Deprecated. As of EMF 2.1, replaced by `getTypeGenDataType()`.
`GenEnum` `getGenEnumType()` Deprecated. As of EMF 2.1, replaced by `getTypeGenEnum()`.
`java.lang.String` `getImportedEffectiveFeatureMapWrapperClass()`
`java.lang.String` `getImportedEffectiveFeatureMapWrapperInternalInterface()`
`java.lang.String` `getImportedInternalType()` Deprecated.
`java.lang.String` `getImportedInternalType(GenClass context)` This returns the real imported feature type used internally, regardless of the value of GenModel.isSuppressEMFValues().
`java.lang.String` `getImportedMapEntryType()`
`java.lang.String` `getImportedMapKeyType(GenClass context)`
`java.lang.String` `getImportedMapTemplateArguments(GenClass context)`
`java.lang.String` `getImportedMapValueType(GenClass context)`
`java.lang.String` `getImportedType()` Deprecated.
`java.lang.String` `getImportedType(GenClass context)` This returns the feature type, either primitive (e.g.
`java.lang.String` `getInternalTypeCast()` This returns either "(EObject)", "(org.eclipse.emf.ecore.EObject)", or "" as needed for the reference type.
`java.lang.String` `getListItemType()` Deprecated.
`java.lang.String` `getListItemType(GenClass context)` This returns the imported name of the feature type/wrapper class, or if a multi-valued feature, the type of the EList members
`java.lang.String` `getListTemplateArguments(GenClass context)` Returns either "" or the getListItemType surrounded by <>, depending on the effective compliance level.
`java.lang.String` `getLowerBound()`
`GenClass` `getMapEntryTypeGenClass()`
`GenClass` `getMapGenClass()` Deprecated. As of EMF 2.1, replaced by `getMapEntryTypeGenClass()`.
`java.lang.String` `getMapItemType()` Deprecated. As of EMF 2.1, replaced by `getImportedMapEntryType()`.
`java.lang.String` `getNonEObjectInternalTypeCast()` Deprecated.
`java.lang.String` `getNonEObjectInternalTypeCast(GenClass context)` This returns either a cast to the internal type, or "" if it is EObject.
`java.lang.String` `getObjectType()` Deprecated.
`java.lang.String` `getObjectType(GenClass context)` This returns the imported name of the feature type or, if primitive, of the wrapper class (e.g.
`java.lang.String` `getOrderedFlag()`
`java.lang.String` `getPrimitiveValueFunction()`
`java.lang.String` `getQualifiedListItemType()` Deprecated.
`java.lang.String` `getQualifiedListItemType(GenClass context)` This returns the qualified name of the feature type/wrapper class, or if a multi-valued feature, the type of the EList members.
`java.lang.String` `getRawBoundType()` This returns the feature type as for getRawType, except for the case that the type is a type parameter, in which case it returns the actual bounding type.
`java.lang.String` `getRawImportedBoundType()` This returns the feature type as for getRawImportedType, except for the case that the type is a type parameter, in which case it returns the actual bounding type.
`java.lang.String` `getRawImportedType()`
`java.lang.String` `getRawListItemType()` This returns the raw imported name of the feature type/wrapper class, or if a multi-valued feature, the type of the EList members.
`java.lang.String` `getRawType()`
`java.lang.String` `getRawTypeCast()` This returns that case to the actual type if it's different from the raw type.
`java.lang.String` `getType()` Deprecated.
`java.lang.String` `getType(GenClass context)` This returns the feature type, either primitive (e.g.
`java.lang.String` `getTypeClassifier()` Deprecated. As of EMF 2.1, replaced by `getTypeClassifierAccessorName()`.
`java.lang.String` `getTypeClassifierAccessorName()`
`GenClass` `getTypeGenClass()`
`GenClassifier` `getTypeGenClassifier()`
`GenDataType` `getTypeGenDataType()`
`GenEnum` `getTypeGenEnum()`
`GenPackage` `getTypeGenPackage()`
`java.lang.String` `getUniqueFlag()`
`java.lang.String` `getUpperBound()`
`boolean` `hasGenericType()`
`boolean` `isBooleanType()`
`boolean` `isEffectiveSuppressEMFTypes()`
`boolean` `isEnumBasedType()`
`boolean` `isEnumType()`
`boolean` `isFeatureMapType()`
`boolean` `isFeatureMapWrapped()` Deprecated. As of EMF 2.1, replaced by `isWrappedFeatureMapType()`.
`boolean` `isListDataType()`
`boolean` `isListType()`
`boolean` `isMapType()`
`boolean` `isPrimitiveType()`
`boolean` `isStringBasedType()`
`boolean` `isStringType()`
`boolean` `isUncheckedCast()`
`boolean` `isUncheckedCast(GenClass context)`
`boolean` `isUnique()`
`boolean` `isWrappedFeatureMapType()`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEcoreModelElement

    EModelElement getEcoreModelElement()

  Specified by:
    `getEcoreModelElement` in interface `GenBase`

### getTypeGenPackage

    GenPackage getTypeGenPackage()

### getTypeClassifierAccessorName

    java.lang.String getTypeClassifierAccessorName()

### getTypeClassifier

    @Deprecated
    java.lang.String getTypeClassifier()

  Deprecated. As of EMF 2.1, replaced by `getTypeClassifierAccessorName()`.

### hasGenericType

    boolean hasGenericType()

  Since:
    2.3

### getRawType

    java.lang.String getRawType()

  Since:
    2.3

### getRawBoundType

    java.lang.String getRawBoundType()

  This returns the feature type as for getRawType, except for the case that the type is a type parameter, in which case it returns the actual bounding type.

  Since:
    2.3

### getType

    java.lang.String getType(GenClass context)

  This returns the feature type, either primitive (e.g. "int") or qualified class name (e.g. "java.lang.String", "org.eclipse.emf.common.util.EList", or "org.sample.company.Company")

  Since:
    2.3

### getType

    @Deprecated
    java.lang.String getType()

  Deprecated.

  Use `getType(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getType(getGenClass())`.

  See Also:
    `getType(GenClass)`

### getRawImportedType

    java.lang.String getRawImportedType()

  Since:
    2.3

### getRawImportedBoundType

    java.lang.String getRawImportedBoundType()

  This returns the feature type as for getRawImportedType, except for the case that the type is a type parameter, in which case it returns the actual bounding type.

  Since:
    2.3

### getImportedType

    java.lang.String getImportedType(GenClass context)

  This returns the feature type, either primitive (e.g. "int") or imported class name (e.g. "String", "EList", or "Company").

  Since:
    2.3

### getImportedType

    @Deprecated
    java.lang.String getImportedType()

  Deprecated.

  Use `getImportedType(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getImportedType(getGenClass())`.

  See Also:
    `getImportedType(GenClass)`

### getObjectType

    java.lang.String getObjectType(GenClass context)

  This returns the imported name of the feature type or, if primitive, of the wrapper class (e.g. "Integer").

  Since:
    2.3

### getObjectType

    @Deprecated
    java.lang.String getObjectType()

  Deprecated.

  Use `getObjectType(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getObjectType(getGenClass())`.

  See Also:
    `getObjectType(GenClass)`

### getImportedInternalType

    java.lang.String getImportedInternalType(GenClass context)

  This returns the real imported feature type used internally, regardless of the value of GenModel.isSuppressEMFValues().

  Since:
    2.3

### getImportedInternalType

    @Deprecated
    java.lang.String getImportedInternalType()

  Deprecated.

  Use `getImportedInternalType(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getImportedInternalType(getGenClass())`.

  See Also:
    `getImportedInternalType(GenClass)`

### isFeatureMapType

    boolean isFeatureMapType()

### isWrappedFeatureMapType

    boolean isWrappedFeatureMapType()

### isFeatureMapWrapped

    @Deprecated
    boolean isFeatureMapWrapped()

  Deprecated. As of EMF 2.1, replaced by `isWrappedFeatureMapType()`.

### isEffectiveSuppressEMFTypes

    boolean isEffectiveSuppressEMFTypes()

### getEffectiveComplianceLevel

    GenJDKLevel getEffectiveComplianceLevel()

  Since:
    2.3

### getImportedEffectiveFeatureMapWrapperInternalInterface

    java.lang.String getImportedEffectiveFeatureMapWrapperInternalInterface()

### getImportedEffectiveFeatureMapWrapperClass

    java.lang.String getImportedEffectiveFeatureMapWrapperClass()

### isListType

    boolean isListType()

### isListDataType

    boolean isListDataType()

  Since:
    2.3

### getListTemplateArguments

    java.lang.String getListTemplateArguments(GenClass context)

  Returns either "" or the getListItemType surrounded by <>, depending on the effective compliance level.

  Since:
    2.3

### getRawListItemType

    java.lang.String getRawListItemType()

  This returns the raw imported name of the feature type/wrapper class, or if a multi-valued feature, the type of the EList members.

  Since:
    2.3

### getListItemType

    java.lang.String getListItemType(GenClass context)

  This returns the imported name of the feature type/wrapper class, or if a multi-valued feature, the type of the EList members

  Since:
    2.3

### getListItemType

    @Deprecated
    java.lang.String getListItemType()

  Deprecated.

  Use `getListItemType(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getListItemType(getGenClass())`.

  See Also:
    `getListItemType(GenClass)`

### getQualifiedListItemType

    java.lang.String getQualifiedListItemType(GenClass context)

  This returns the qualified name of the feature type/wrapper class, or if a multi-valued feature, the type of the EList members.

  Since:
    2.3

### getQualifiedListItemType

    @Deprecated
    java.lang.String getQualifiedListItemType()

  Deprecated.

  Use `getQualifiedListItemType(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getQualifiedListItemType(getGenClass())`.

  See Also:
    `getQualifiedListItemType(GenClass)`

### isMapType

    boolean isMapType()

### getMapEntryTypeGenClass

    GenClass getMapEntryTypeGenClass()

### getImportedMapEntryType

    java.lang.String getImportedMapEntryType()

### getImportedMapKeyType

    java.lang.String getImportedMapKeyType(GenClass context)

  Since:
    2.3

### getImportedMapValueType

    java.lang.String getImportedMapValueType(GenClass context)

  Since:
    2.3

### getImportedMapTemplateArguments

    java.lang.String getImportedMapTemplateArguments(GenClass context)

  Since:
    2.3

### getMapGenClass

    @Deprecated
    GenClass getMapGenClass()

  Deprecated. As of EMF 2.1, replaced by `getMapEntryTypeGenClass()`.

### getMapItemType

    @Deprecated
    java.lang.String getMapItemType()

  Deprecated. As of EMF 2.1, replaced by `getImportedMapEntryType()`.

### isUncheckedCast

    boolean isUncheckedCast()

  Since:
    2.3

### isUncheckedCast

    boolean isUncheckedCast(GenClass context)

  Since:
    2.4

### getEObjectCast

    java.lang.String getEObjectCast()

  This returns either "(EObject)", "(org.eclipse.emf.ecore.EObject)", or "" as needed for the reference type.

### getInternalTypeCast

    java.lang.String getInternalTypeCast()

  This returns either "(EObject)", "(org.eclipse.emf.ecore.EObject)", or "" as needed for the reference type.

### getNonEObjectInternalTypeCast

    java.lang.String getNonEObjectInternalTypeCast(GenClass context)

  This returns either a cast to the internal type, or "" if it is EObject.

  Since:
    2.3

### getNonEObjectInternalTypeCast

    @Deprecated
    java.lang.String getNonEObjectInternalTypeCast()

  Deprecated.

  Use `getNonEObjectInternalTypeCast(GenClass)` with either `null` for erasing type parameter references or a `GenClass` context representing potential type substitutions for type parameter references. By default, this will just do `getNonEObjectInternalTypeCast(getGenClass())`.

  See Also:
    `getNonEObjectInternalTypeCast(GenClass)`

### getRawTypeCast

    java.lang.String getRawTypeCast()

  This returns that case to the actual type if it's different from the raw type.

  Since:
    2.3

### isPrimitiveType

    boolean isPrimitiveType()

### getPrimitiveValueFunction

    java.lang.String getPrimitiveValueFunction()

### isBooleanType

    boolean isBooleanType()

### isStringType

    boolean isStringType()

### isStringBasedType

    boolean isStringBasedType()

### isEnumType

    boolean isEnumType()

### isEnumBasedType

    boolean isEnumBasedType()

### getTypeGenEnum

    GenEnum getTypeGenEnum()

### getTypeGenDataType

    GenDataType getTypeGenDataType()

### getTypeGenClass

    GenClass getTypeGenClass()

### getTypeGenClassifier

    GenClassifier getTypeGenClassifier()

### getGenEnumType

    @Deprecated
    GenEnum getGenEnumType()

  Deprecated. As of EMF 2.1, replaced by `getTypeGenEnum()`.

### getGenDataTypeType

    @Deprecated
    GenDataType getGenDataTypeType()

  Deprecated. As of EMF 2.1, replaced by `getTypeGenDataType()`.

### getGenClassType

    @Deprecated
    GenClass getGenClassType()

  Deprecated. As of EMF 2.1, replaced by `getTypeGenClass()`.

### getLowerBound

    java.lang.String getLowerBound()

### getUpperBound

    java.lang.String getUpperBound()

### isUnique

    boolean isUnique()

### getUniqueFlag

    java.lang.String getUniqueFlag()

### getOrderedFlag

    java.lang.String getOrderedFlag()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.